# $Revision: 1.18 $, $Date: 2005/05/02 17:42:29 $
Summary:	A 3D version of the classic DOS game Scorched Earth
Summary(pl):	Wersja 3D klasycznej DOS-owej gry Scorched Earth
Name:		scorched3d
Version:	38.1b
%define		_ver	38.1
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/scorched3d/Scorched3D-%{_ver}-src.tar.gz
# Source0-md5:	3c32897814c4fc71be864fdb8d6f5505
Source1:	%{name}.desktop
URL:		http://www.scorched3d.co.uk/
BuildRequires:	ImageMagick-coder-png
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	wxGTK2-devel >= 2.6.0
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Scorched 3D is a game based loosely on the classic DOS game Scorched
Earth "The Mother Of All Games".

%description -l pl
Scorched 3D jest gr bazujc na klasycznej DOS-owej grze Scorched
Earth.

%prep
%setup -q -n scorched

%build
cp -f /usr/share/automake/config.sub .
CXXFLAGS="-L/usr/X11R6/%{_lib} %{rpmcflags}"
%configure \
	--datadir=%{_datadir}/%{name} \
	--with-wx-config=wx-gtk2-ansi-config 

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	datadir=%{_datadir}/%{name}

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/documentation/*.txt

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
convert $RPM_BUILD_DIR/scorched/data/windows/tank2.bmp $RPM_BUILD_ROOT%{_pixmapsdir}/scorched3d.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc documentation/*.txt
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/documentation
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scorched3d.spec,v $
Revision 1.18  2005/05/02 17:42:29  qboosh
- updated wx-config for wxGTK2 2.6.0

Revision 1.17  2005/05/02 13:14:20  domelu
- added _ver macro

Revision 1.16  2005/05/02 13:08:27  matowy
- fix url with source

Revision 1.15  2005/05/02 12:31:03  matowy
- up to 38.1b
- patch0 already in sources

Revision 1.14  2004/05/30 16:40:58  adamg
- updated to 37.2

Revision 1.13  2004/05/27 14:44:12  averne
- BR: freetype-devel

Revision 1.12  2004/04/15 19:33:05  qboosh
- added types patch to fix pointer arithmetic on 64-bit archs
  (and avoid gcc 3.3.3 ICE triggered by such invalid code)
- release 2

Revision 1.11  2004/04/13 08:43:40  adamg
- refresh config.sub, BuildRequires: automake

Revision 1.10  2004/04/10 19:37:03  adamg
- cosmetics

Revision 1.9  2004/04/10 17:18:45  adamg
- updated to 37.1

Revision 1.8  2004/03/01 18:03:51  grzegol
- updated to 36.2
- types patch probably outdated, but I'm not sure

Revision 1.7  2003/12/22 21:37:26  grzegol
- adapted .desktop file to standard; cosmetics

Revision 1.6  2003/12/22 12:13:55  qboosh
- release 2

Revision 1.5  2003/12/22 11:33:50  qboosh
- added types patch (fixes build on 64-bit archs), cleanups, unifications

Revision 1.4  2003/12/22 07:24:06  maho
- fixed typo
- added desktop file, icon converted from internal .bmp

Revision 1.3  2003/12/22 02:00:10  undefine
- yeeah! it works =), release 1, stbrkjm

Revision 1.2  2003/12/22 01:18:29  undefine
- BR, seems to work, ready to tests ;)

Revision 1.1  2003/12/21 22:39:43  undefine
- change name to scorched3d, add md5 sum(he he...).. still not tested ;)

Revision 1.1  2003/12/21 21:35:02  undefine
- initital pld version. not ready, not working, not finished, not...

* Sun Dec 7 2003 Gavin Camp gcamp@scorched3d.co.uk
- First build.
